## pynast 1.2.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyNAST.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyNAST.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pynast (1.2.2-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Fix homepage
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 09:13:00 +0100

pynast (1.2.2-2) unstable; urgency=medium

  * Fix test failures with new version of ncbi-blast+ (Thanks for the patch to
    Aaron M. Ucko)
    Closes: #848735
  * cme fix dpkg-control
  * debhelper 10
  * d/watch: version=4
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2016 08:27:07 +0100

pynast (1.2.2-1) unstable; urgency=medium

  * New upsteam version now on Github (adapted d/watch)
  * debian/copyright: License change from GPL to BSD
  * rename source package from python-pynast to pynast
  * cme fix dpkg-control
  * debian/patches/do_not_install_privacy_breaching_scripts.patch: Do not
    install privacy breaking scripts
  * debian/rules: run unit tests
  * debian/control:
     - Build-Depends + Recommend packages needed in unit tests
     - Recommends: python-mpi4py
  * debian/patches/avoid_python-mpi4py_missing_warning.patch: Circumvent
    missing python-mpi4py at build time
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 11 Aug 2014 16:33:56 +0200

python-pynast (1.2-1) unstable; urgency=low

  * Upload to Debian

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jun 2013 14:52:50 +0200

python-pynast (1.2-0biolinux1) precise; urgency=low

  * New upstream
  * New upstream location - changed watchfile

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 11 Jun 2013 15:37:30 +0100

python-pynast (1.1-4) unstable; urgency=low

  [ Charles Plessy ]
  * Renamed debian/upstream-metadata.yaml to debian/upstream.
  * Corrected VCS URLs (debian/control).

  [ Andreas Tille ]
  * debian/upstream:
     - Moved DOI/PMID to References section
     - Valid BibTeX authors field
  * debian/control:
     - Section: optional
     - Standards-Version: 3.9.4 (no changes needed)
     - Debhelper 9 (also in compat)
     - removed XS-Autobuild because package is in main
     - Drop Build-Depends: python-central
       Closes:  #708889

 -- Andreas Tille <tille@debian.org>  Mon, 20 May 2013 10:29:27 +0200

python-pynast (1.1-3) unstable; urgency=low

  [ Steffen Moeller ]
  * Rendering Tim's fixes available for Debian
  * Moving pynast from contrib to main. The dependency cogent
    got its non-freeness resolved.
  * Changing name from python-pynast to pynast.

  [ Andreas Tille ]
  * debian/control:
    - Added myself and Tim Booth <tbooth@ceh.ac.uk> to Uploaders
    - Fixed Vcs fields
    - Removed duplicated ${misc:Depends}
    - Removed unneeded ${shlibs:Depends}
    - Depends: libjs-jquery, libjs-underscore
    - Moved citation information from long description to
      upstream-metadata.yaml
    - Moved information about previous versions from long description
      to README.Debian
    - Provides/Replaces/Conflicts: python-pynast to enable smooth
      upgrades after renaming the package
  * debian/copyright: DEP5
  * Dephelper 8 (control+compat)
  * debian/links: Link packages JavaScript libraries
  * debian/rules: remove incomplete links to JavaScript libraries
  * debian/doc-base: created docbase file
  * debian/pynast.1: escape hyphen character
  * debian/upstream-metadata.yaml: Citation information
  * debian/README.Debian: Replaced outdated and useless content by
    some information about previous upstream versions (previosely
    mentioned in long description)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2011 11:22:19 +0100

python-pynast (1.1-2ubuntu4) lucid; urgency=low

  * Fix Lintian warning on docs, clean up build file
  * Allow building with either python2 or python-central 
  * Renamed main package to pynast

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 26 Aug 2011 11:29:17 +0100

python-pynast (1.1-2ubuntu3) lucid; urgency=low

  * Rebuild for Lucid, lowered dependencies 

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 26 Aug 2011 10:05:42 +0100

python-pynast (1.1-2) unstable; urgency=low

  * Transition to dh7 and dh_python2
  * Adjusted uploaders, first upload to unstable
  * Documentation built with sphinx
  * Added man page

 -- Steffen Moeller <moeller@debian.org>  Thu, 25 Aug 2011 23:19:06 +0200

python-pynast (1.1-1) experimental; urgency=low

  * Initial release (Closes: #587189)

 -- Sri Girish Srinivasa Murthy <srigirish@evolbio.mpg.de>  Sun, 25 Jul 2010 22:21:11 +0200

=== debian/control ===
Source: pynast
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               python,
               python-cogent (>= 1.5.3),
               python-sphinx,
               blast2,
               clustalw,
               mafft,
               muscle
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pynast.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/pynast.git
Homepage: https://github.com/biocore/pynast
X-Python-Version: >= 2.5

Package: pynast
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         libjs-jquery,
         libjs-underscore
Recommends: blast2,
            clustalw,
            mafft,
            muscle,
            python-mpi4py
Suggests: uclust
Conflicts: python-pynast
Provides: python-pynast
Replaces: python-pynast
Description: alignment of short DNA sequences
 The package provices a reimplementation of the Nearest Alignment 
 Space Termination tool in Python. It was prepared for next generation
 sequencers.
 .
 Given a set of sequences and a template alignment, PyNAST will align the
 input sequences against the template alignment, and return a multiple
 sequence alignment which contains the same number of positions (or
 columns) as the template alignment. This facilitates the analysis of new
 sequences in the context of existing alignments, and additional data
 derived from existing alignments such as phylogenetic trees. Because
 any protein or nucleic acid sequences and template alignments can be
 provided, PyNAST is not limited to the analysis of 16s rDNA sequences.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#Allowing this to be overridden by environemnt helps with backports
DEB_PYTHON_SUPPORT?=python2

# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)

%:
	dh $@ --with $(DEB_PYTHON_SUPPORT)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean

#Fix Lintian warning about jquery.js
override_dh_installdocs:
	dh_installdocs -X.buildinfo

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	cd tests; \
	for py in $(PYVERS); do \
	    PYTHONPATH=$$( echo $(CURDIR)/build/lib.*-$$py ) python$$py all_tests.py ; \
	done
endif

#Don't compress .js files
override_dh_compress:
	dh_compress -X.js

=== debian/watch ===
version=4
https://github.com/biocore/pynast/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
